package com.bocloud.cmp.model.jumpserver;

import java.util.List;
import java.util.Map;

/**
 * @description:
 * @author: Li Yaohui
 * @since: 2021/5/11 3:30 下午
 */
public class DangerCmd {
    /**
     * 高危命令名称 必填
     */
    private String name;
    /**
     * 高危命令id
     */
    private Long id;
    /**
     * 复核用户用户组ID列表: "chkUserGroups": [1, 2, 3]
     */
    private List<Long> chkUserGroups;
    /**
     * 命令模板 数据格式: "cmdRuleTemplate": {"id": 1,"name": "xx"} 必填
     */
    private CmdTemplate cmdRuleTemplate;
    /**
     * 访问配置 必填
     */
    private CmdConfigurations configurations;
    /**
     * 附加信息。数据格式: "extra":{"level":3,"title":"title1"}}
     * level 事件级别: -1 NONE 0 EMERGENCY 1 ALERT 2 CRITICAL 3 ERROR 4 WARNING 5 NOTICE 6 INFORMATIONAL 7 DEBUG
     * title 事件标题: 1-200长度
     */
    private Map<String, Object> extra;
    /**
     * 模板id
     */
    private Long templateId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setChkUserGroups(List<Long> chkUserGroups) {
        this.chkUserGroups = chkUserGroups;
    }

    public List<Long> getChkUserGroups() {
        return chkUserGroups;
    }

    public void setCmdRuleTemplate(CmdTemplate cmdRuleTemplate) {
        this.cmdRuleTemplate = cmdRuleTemplate;
    }

    public CmdTemplate getCmdRuleTemplate() {
        return cmdRuleTemplate;
    }

    public void setConfigurations(CmdConfigurations configurations) {
        this.configurations = configurations;
    }

    public CmdConfigurations getConfigurations() {
        return configurations;
    }

    public void setExtra(Map<String, Object> extra) {
        this.extra = extra;
    }

    public Map<String, Object> getExtra() {
        return extra;
    }

    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    public Long getTemplateId() {
        return templateId;
    }
}
